---
title: RelativeOrientationSensor.RelativeOrientationSensor()
slug: Web/API/RelativeOrientationSensor/RelativeOrientationSensor
tags:
  - API
  - Constructor
  - Generic Sensor API
  - Orientation Sensor API
  - OrientationSensor
  - RelativeOrientationSensor
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>RelativeOrientationSensor</code></strong> constructor creates a new {{domxref("RelativeOrientationSensor")}} object which describes the device's physical orientation.</span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>relativeOrientationSensor</var> = new RelativeOrientationSEnsor([<var>options</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em>options</em> {{optional_inline}}</dt>
	<dd>Options are as follows:
	<ul>
		<li><code>frequency</code>: The desired number of times per second a sample should be taken, meaning the number of times per second that {{domxref('sensor.onreading')}} will be called. A whole number or decimal may be used, the latter for frequencies less than a second. The actual reading frequency depends device hardware and consequently may be less than requested.</li>
		<li><code>referenceFrame</code>: Either <code>'device'</code> or <code>'screen'</code>. The default is <code>'device'</code>.</li>
	</ul>
	</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Orientation Sensor','#dom-relativeorientationsensor-relativeorientationsensor','RelativeOrientationSensor()')}}</td>
			<td>{{Spec2('Orientation Sensor')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RelativeOrientationSensor.RelativeOrientationSensor")}}</p>
